Bug 804183 - Huge slew of WARNINGS fom intel_dp.c every resume [abrt] kernel: WARNING: at drivers/gpu/drm/i915/intel_dp.c:344 intel_dp_check_edp+0x65/0xb0 [i915]()
Huge slew of WARNINGS fom intel_dp.c every resume [abrt] kernel: WARNING: at ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:c22bfab35f17341a23cb5f28831...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 15:01 EDT by Adam Williamson
Modified: 2013-02-13 03:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 03:18:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full dump from resume time, with all 14 (!) warnings (51.34 KB, text/plain)
2012-03-16 15:04 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2012-03-16 15:01:22 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.6-3.fc16.x86_64 root=UUID=d0ab87e3-eb1c-4b53-8a4d-40602d281695 ro rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 rd.md.uuid=8b302907:df8a9a7a:84ce3503:971b8216 LANG=en_US.UTF-8
comment:        I get a flood of these every time I resume from suspend on my laptop (Vaio Z) on F16, recently. Started happening in the last two weeks or so, it didn't used to.
kernel:         3.2.6-3.fc16.x86_64
reason:         WARNING: at drivers/gpu/drm/i915/intel_dp.c:344 intel_dp_check_edp+0x65/0xb0 [i915]()
time:           Sun 04 Mar 2012 00:42:51 PST

backtrace:
:WARNING: at drivers/gpu/drm/i915/intel_dp.c:344 intel_dp_check_edp+0x65/0xb0 [i915]()
:Hardware name: VPCZ112GD
:eDP powered off while attempting aux channel communication.
:Modules linked in: des_generic md4 nls_utf8 cifs fscache tcp_lp hidp ppdev parport_pc lp parport fuse lockd rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_conntrack_ipv4 nf_defrag_ipv6 nf_defrag_ipv4 xt_state nf_conntrack ip6table_filter ip6_tables xts gf128mul dm_crypt snd_hda_codec_realtek arc4 uvcvideo videodev media v4l2_compat_ioctl32 btusb bluetooth snd_hda_intel snd_hda_codec snd_hwdep microcode snd_seq snd_seq_device snd_pcm intel_ips joydev iTCO_wdt iwlwifi i2c_i801 iTCO_vendor_support mac80211 cfg80211 snd_timer snd soundcore snd_page_alloc e1000e sony_laptop rfkill uinput sunrpc raid0 mxm_wmi sdhci_pci sdhci mmc_core wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 9201, comm: kworker/u:34 Tainted: G        W    3.2.6-3.fc16.x86_64 #1
:Call Trace:
: [<ffffffff8106dd4f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8106de46>] warn_slowpath_fmt+0x46/0x50
: [<ffffffffa00a43d5>] intel_dp_check_edp+0x65/0xb0 [i915]
: [<ffffffffa00a4980>] intel_dp_aux_native_read_retry+0x60/0x140 [i915]
: [<ffffffffa00a4e98>] intel_dp_start_link_train+0x188/0x380 [i915]
: [<ffffffffa00a54ac>] intel_dp_complete_link_train+0x1ec/0x390 [i915]
: [<ffffffffa00a5f8c>] intel_dp_hot_plug+0xfc/0x1a0 [i915]
: [<ffffffffa0078b0e>] i915_hotplug_work_func+0x6e/0xa0 [i915]
: [<ffffffffa0078aa0>] ? i915_error_work_func+0x110/0x110 [i915]
: [<ffffffff81089ddd>] process_one_work+0x11d/0x470
: [<ffffffff8108b1df>] worker_thread+0x15f/0x350
: [<ffffffff8108b080>] ? manage_workers+0x230/0x230
: [<ffffffff8108fb9c>] kthread+0x8c/0xa0
: [<ffffffff815ebaf4>] kernel_thread_helper+0x4/0x10
: [<ffffffff8108fb10>] ? kthread_worker_fn+0x190/0x190
: [<ffffffff815ebaf0>] ? gs_change+0x13/0x13

smolt_data:
:
:
:General
:=================================
:UUID: e4b51b85-aa34-46fa-92fd-1f636aa211db
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: x86_64
:BogoMIPS: 4787.61
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 520  @ 2.40GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2400
:System Memory: 3629
:System Swap: 4095
:Vendor: Sony Corporation
:System: VPCZ112GD J00465QZ
:Form factor: Notebook
:Kernel: 3.2.9-2.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:68:4173:36954) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:15152:4173:36954) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:4173:36954) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15115:4173:36954) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4173:36954) pci, None, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4331:4173:36954) pci, e1000e, ETHERNET, 82577LC Gigabit Network Connection
:(32902:15174:4173:36954) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(32902:16940:32902:4865) pci, iwlwifi, NETWORK, Centrino Advanced-N 6200 2x2 AGN
:(32902:15164:4173:36954) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:4173:36954) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:4173:36954) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(4480:57904:4173:36954) pci, None, BASE, Memory Stick Host Controller
:(4480:59426:4173:36954) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(4480:59426:4173:36954) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(32902:70:4173:36954) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15170:4173:36954) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4173:36954) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4173:36954) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:4173:36954) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:11521:4173:36954) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11362:4173:36954) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11537:4173:36954) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11536:4173:36954) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11539:4173:36954) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11538:4173:36954) pci, None, HOST/PCI, Core Processor Reserved
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/md0 / ext4 4096 4096 10463297 8819949 8295687 2621440 2458761 2458761
:/dev/sda2 /boot ext4 1024 1024 508745 409592 383992 128016 127743 127743
:/dev/mapper/luks-c57e5d46-2987-4dd6-8b29-30ba385c60a7 /home ext4 4096 4096 19565422 18309917 17330065 4907008 4899213 4899213
:
Comment 1 Adam Williamson 2012-03-16 15:04:14 EDT
Created attachment 570680 [details]
full dump from resume time, with all 14 (!) warnings
Comment 2 Adam Williamson 2012-03-16 15:05:18 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Fedora End Of Life 2013-01-16 05:03:48 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 03:18:23 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.